<form id="kb-s-form" action="<?php echo $this->getUrl('driversdownloads');?>" method="GET" class="form-inline" style="">
    <div class="product-search">
      <div class="search__container row">
        <div class="col-sm-9 padding-right5">
          <div class="search-input-box">
            <input class="search search__input" name="pid" type="text" placeholder="Enter Product ID or other keywords" />
            <i class="fa fa-search"></i>
          </div>
          <a href="javascript:void(0)" class="product-id" id="search-productid">Where do I find the Product ID?</a>
        </div>
        <div class="col-sm-3 text-left">
          <button class="btn btn-primary find" type="submit">Find</button>
        </div>
      </div>
    </div>
</form>

<div id="mgs-find-productid-container" style="display:none">
  <div class="mgs-find-productid" id="mgs-find-productid">
    <div class="mgs-find-data">
      <h4>Where to find the serial number/ product ID:</h4>
      <p class="popup-text">Find your product’s specific serial number/ product ID. It is on a sticker on your
      product or on the registration form in the box.</p>
      <p>Depending on the type of product you own, it could be in one of several places. Find your product below.</p>
      <img class="img-responsive" src='<?php echo $this->getViewFileUrl('images/popups/popup.jpg'); ?>' alt="Find Product Id" />
    </div>
  </div>
</div>

<script type="text/javascript">
    //<![CDATA[
    require([
        'jquery',
    ], function ($) {
        $('#search-productid').click(function(){
            showGdprPopup();
        });
    });


    //]]>
</script>
<script type="text/javascript">
      var popupContent = document.getElementById('mgs-find-productid-container').innerHTML;
      function showGdprPopup(){
        require(
        [
          'jquery',
          'Magento_Ui/js/modal/modal'
        ],
        function( $, modal ) {
          if ($('#mgs-find-productid').length) {
            var options = {
              type: 'popup',
              modalClass: 'modal-mgs-gdpr',
              responsive: true,
              innerScroll: true,
              title: '',
              buttons: []
            };
            var gdprPopup = modal(options, $('#mgs-find-productid'));
            $('#mgs-find-productid').trigger('openModal');

            $('.modal-mgs-gdpr .action-close').click(function(){
              setTimeout(function(){ $('.modals-wrapper .modal-mgs-gdpr').remove(); $('#mgs-find-productid-container').html(popupContent) }, 500);
            });
          }
        });
      }
    </script>
